#!/bin/sh

WOLFILE=/etc/enigma2/wollist
# mac="00:3c:1a:7b:e8:b5"

endLoop()
{
  echo "Periodic broadcast of MagicPaket stopped"
  exit 0
}

if [ "$mac" = "" -a ! -f $WOLFILE ] ;then
  echo "Cannot determine MAC-address, $WOLFILE not found" >&2
  exit 1
fi

trap endLoop SIGTERM

[ "$mac" = "" ] && mac=`head -n 1 $WOLFILE`
echo "Periodic broadcast of MagicPaket starting, MAC=$mac"

while true; do
  /usr/bin/sendmagic.py $mac
  sleep 120
done
